`POST /api/v1/agents/{node_id}/plan` — plan mode for an agent.
POST
/api/v1/agents/{node_id}/plan
const url = 'https://example.com/api/v1/agents/example/plan';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"modules":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/agents/example/plan \ --header 'Content-Type: application/json' \ --data '{ "modules": [ "example" ] }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” node_id
required
string
Agent node ID
Request Body required
Section titled “Request Body required ” Media type application/json
Request body for POST /api/v1/agents/{node_id}/apply and plan.
object
modules
required
Module names to apply/plan.
Array<string>
Example generated
{ "modules": [ "example" ]}Responses
Section titled “ Responses ”Plan result
Media type application/json
Example generated
exampleInvalid request body or module
Agent or module not found